#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    long long a, b, c;
    cin >> a >> b >> c;
    /* scanf("%lld %lld %lld", &a, &b, &c); */

    string as = to_string(a);
    string bs = to_string(b);
    string cs = to_string(c);

    string smax = max(as, max(bs, cs));
    string smin = min(as, min(bs, cs));
    string smed = max(min(as, bs), min(max(as, bs), cs));

    cout << smax << smed << smin;

    return 0;
}